Delete a hosted evidence bundle with exact confirmation
curl --request DELETE \
--url https://api.firedrill.run/v1/projects/{projectId}/evidence/{evidenceBundleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"confirmEvidenceBundleId": "<string>"
}
'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/evidence/{evidenceBundleId}"
payload = { "confirmEvidenceBundleId": "<string>" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({confirmEvidenceBundleId: '<string>'})
};
fetch('https://api.firedrill.run/v1/projects/{projectId}/evidence/{evidenceBundleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"evidence": {
"schemaVersion": 1,
"evidenceBundleId": "<string>",
"projectId": "<string>",
"hostedRunId": "<string>",
"runId": "<string>",
"manifestDigest": "<string>",
"signed": true,
"state": "available",
"createdAtMs": 0,
"storage": {
"objectCount": 512,
"manifestBytes": 524288,
"artifactBytes": 134217728,
"totalBytes": 134742016
},
"storageVerifiedAtMs": 0,
"attestation": {
"schemaVersion": 1,
"algorithm": "ecdsa-p256-sha256",
"encoding": "der-base64url",
"statement": {
"schemaVersion": 1,
"predicateType": "https://firedrill.run/attestations/evidence/v1",
"issuer": "<string>",
"keyId": "<string>",
"issuedAtMs": 0,
"subject": {
"manifestDigest": "<string>",
"runId": "<string>",
"reproduction": {
"schemaVersion": 1,
"scope": "world_inputs",
"drillId": "<string>",
"targetId": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"seed": "<string>",
"originalTrial": 4503599627370495,
"originalTrialCount": 4503599627370495,
"originalAttempt": 1,
"originalAttemptLimit": 1,
"scenarioId": "<string>",
"setupHash": "<string>"
},
"runResultHash": "<string>",
"evidenceHash": "<string>",
"stateHash": "<string>",
"trajectoryHash": "<string>"
}
},
"signature": "<string>"
},
"deleteAtMs": 0,
"deletedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"evidence": {
"schemaVersion": 1,
"evidenceBundleId": "<string>",
"projectId": "<string>",
"hostedRunId": "<string>",
"runId": "<string>",
"manifestDigest": "<string>",
"signed": true,
"state": "available",
"createdAtMs": 0,
"storage": {
"objectCount": 512,
"manifestBytes": 524288,
"artifactBytes": 134217728,
"totalBytes": 134742016
},
"storageVerifiedAtMs": 0,
"attestation": {
"schemaVersion": 1,
"algorithm": "ecdsa-p256-sha256",
"encoding": "der-base64url",
"statement": {
"schemaVersion": 1,
"predicateType": "https://firedrill.run/attestations/evidence/v1",
"issuer": "<string>",
"keyId": "<string>",
"issuedAtMs": 0,
"subject": {
"manifestDigest": "<string>",
"runId": "<string>",
"reproduction": {
"schemaVersion": 1,
"scope": "world_inputs",
"drillId": "<string>",
"targetId": "<string>",
"buildHash": "<string>",
"packageLockHash": "<string>",
"seed": "<string>",
"originalTrial": 4503599627370495,
"originalTrialCount": 4503599627370495,
"originalAttempt": 1,
"originalAttemptLimit": 1,
"scenarioId": "<string>",
"setupHash": "<string>"
},
"runResultHash": "<string>",
"evidenceHash": "<string>",
"stateHash": "<string>",
"trajectoryHash": "<string>"
}
},
"signature": "<string>"
},
"deleteAtMs": 0,
"deletedAtMs": 0
},
"operation": {
"schemaVersion": 1,
"operationId": "<string>",
"organizationId": "<string>",
"kind": "<string>",
"state": "pending",
"idempotencyKey": "<string>",
"requestHash": "<string>",
"createdAtMs": 0,
"updatedAtMs": 0,
"projectId": "<string>",
"resourceType": "<string>",
"resourceId": "<string>",
"error": {
"schemaVersion": 1,
"code": "<string>",
"source": "framework",
"message": "<string>",
"retryable": true,
"issues": [],
"correlationId": "<string>",
"details": {},
"evidence": {
"runId": "<string>",
"sequence": 4503599627370495
}
},
"result": {
"schemaVersion": 1,
"kind": "world.time.advance",
"operationId": "<string>",
"sessionId": "<string>",
"leaseGeneration": 4503599627370495,
"buildHash": "<string>",
"correlationId": "<string>",
"requestedUs": 0,
"startedUs": 0,
"reachedUs": 0,
"maxEvents": 500000,
"scheduledEventsProcessed": 0,
"evidenceBeforeSequence": 0,
"evidenceAfterSequence": 0,
"status": "completed",
"eventBudgetExhausted": true,
"failure": {
"code": "<string>",
"message": "<string>",
"scheduledEventId": "<string>"
}
},
"cancelRequestedAtMs": 0,
"startedAtMs": 0,
"finishedAtMs": 0
}
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Delete a hosted evidence bundle with exact confirmation
Delete a hosted evidence bundle with exact confirmation
Authorizations
Opaque control credential
Headers
Required string length:
8 - 128Pattern:
^[A-Za-z0-9._:-]+$Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^evidence_[0-9a-z]{12,32}$Body
application/json
Pattern:
^evidence_[0-9a-z]{12,32}$